/*Windows Whistler Luna theme ported to CSS by Ethan and APH, Tab & button CSS from XP.CSS, Original Luna theme by Microsoft*/ 
@import url('lunablue.css');
@import url('assets/iconset/whistler.css');
/* reuse lunablue code due to theme similarity + this is a variation of it */
/* Custom scheme vars, for custom classic themes */

:root {     
  --Background: rgb(0, 78, 152);   
  --AppWorkspace: rgb(128, 128, 128);
  --ButtonFace: rgb(248, 246, 230);
  --ButtonHilight: rgb(255, 255, 255);
  --ButtonLight: rgb(212, 208, 230);
  --ButtonShadow: rgb(128, 128, 128);
  --ButtonDkShadow: rgb(64, 64, 64);
  --ActiveTitle: rgb(82 151 249);
  --GradientActiveTitle: rgb(53 115 214);
  --InactiveTitle: rgb(44 96 178);
  --GradientInactiveTitle: rgb(44 96 178);
  --Link: rgb(0, 0, 255);
  --HilightText: rgb(255, 255, 255);
  --ButtonText: rgb(0, 0, 0);
  --GrayText: rgb(128 128 128);
  --TitleText: rgb(255, 255, 255);
  --InactiveTitleText: rgb(189 204 228);
  --Window: rgb(255, 255, 255);
  --WindowFrame: rgb(0, 0, 0);
  --WindowText: rgb(0, 0, 0);
  --Hilight:  rgb(49, 106, 197);
  --InfoWindow: rgb(255, 255, 225);
  --InfoText: rgb(0, 0, 0);
  --Menu: rgb(255, 255, 255);
  --MenuBar: rgb(244 244 240);
}

:root {
--3d-objects: #f8f6e6;
--3d-objectstxt: #000;
--activebar: none;
--activebartxt: #FFF;
--inactivebar: none;
--inactivebartxt: #FFF;
--bodybgcolor: rgb(0, 0, 0);
--desktopbgcolor: rgb(0, 78, 152);
--desktopbgimg: url("wallpapers/winxp/Red moon desert.jpg");
--taskbarboxshadow: none;
--taskbarbackground: url("assets/taskbar/lunab2/xptaskbarmiddle.png");
--desktopbgsize: 100% 100%;
--desktopbgposition: center;
--desktopbgtile: no-repeat;
--windowbg: rgb(255, 255, 255);
--windowtxt: rgb(0, 0, 0);
--selectedcolor: rgb(49, 106, 197);
--field: inset -1px -1px #fff, inset 1px 1px rgb(128 128 128), inset -2px -2px rgb(212, 208, 200), inset 2px 2px rgb(64 64 64);
--globalfont: Tahoma, Verdana, Jomolhari, Times New Roman, sans-serif;
--buttonfont: Microsoft Sans Serif, Tahoma, Jomolhari, Times New Roman, sans-serif;
--menu-button: url('assets/taskbar/lunab2/buttons/xpstartbtn.png');
--menu-button-hover: url('assets/taskbar/lunab2/buttons/xpstartbtnhover.png');
--menu-button-pressed: url('assets/taskbar/lunab2/buttons/xpstartbtnpressed.png');
}

/*Theme identifier, control panel*/
#themeDropdownText:after {
content: "Windows XP Beta 2 - Luna";
}

#winAndButtonsDropdownText:after {
content: "Whistler style";
}

#colorSchemeDropdownText:after {
	content: "Default";
}

.dropdownlink.scheme {
	display: none !important;
}

#LunaBlueSchemes {
	display: none !important;
}

#LunaB2Schemes {
	display: block !important;
}


/* fix all the stuff that XP.css broke */


input[type="text"], textarea, .ListBox, #searchResults, input[type="password"] {
	border: 1px solid #7f9db9;
}


#windowcontent {
border-image-source: url('assets/frames/lunab2/xpinactiveborderimage.png');  
background-color: rgb(248, 246, 230);
}

.window.current > #windowcontent, .window.forceActive > #windowcontent {
border-image-source: url('assets/frames/lunab2/xpborderimage.png'); 
}


.window_bar {
color: rgb(189, 204, 228);
    line-height: 29px;
background-image: url('assets/frames/lunab2/xpinactivetitlebarleft.png'), url('assets/frames/lunab2/xpinactivetitlebarright.png'), url('assets/frames/lunab2/xpinactivetitlebarmiddle.png');
}

.window.current > .window_bar, .window.forceActive > .window_bar {
text-shadow: 2px 2px 2.5px rgb(10 24 131);
background-image: url('assets/frames/lunab2/xptitlebarleft.png'), url('assets/frames/lunab2/xptitlebarright.png'), url('assets/frames/lunab2/xptitlebarmiddle.png');
color: rgb(255, 255, 255);
}

/* since we have imported from lunablue.css, remove everything that is common throughout all luna variants */

.window.maximized .window_bar {
background-image: url('assets/frames/lunab2/maxtitlebarleft.png'), url('assets/frames/lunab2/maxtitlebarright.png'), url('assets/frames/lunab2/maxtitlebarmiddle.png');
}

#MenuButtonStartText {
        text-shadow: 3px 3px 2px rgb(82 144 12);
}





.tabbutton {
background: linear-gradient(180deg,#fff,#fbfaf9 40%,#f2f1ed 95%,#f1f0eb);
border-radius: 0;
border: 1px solid #b9bfc4;
border-top-right-radius: 3px;
border-top-left-radius: 3px;
line-height: 17px;
height: 20px;
box-shadow: none;
}

.tabbutton:not(.selected):hover {
background: linear-gradient(180deg,#fdf6e6,#fee3a0 40%,#fece6d,#fdc14f);
border: 1px solid #676769;
    box-shadow: none;
}

.tabbutton.selected {
background: #fafafc;
border-color: #d3d2cb;
border-bottom: 1px solid transparent;
border-top: 2px solid #fbb116;
box-shadow: inset 0 1px #e89e00;
top: -3px;
}

#tabButton-1.selected {
margin: 0px -5px 0px 0px;
}

.tabcontent {
box-shadow: inset 1px 1px #fcfcfe,inset -1px -1px #fcfcfe,1px 2px 2px 0 rgba(208,206,191,.75);
background: linear-gradient(180deg,#FEFEFF,#F1F0EB);
border: 1px solid #b3bcc4;
/* width: 382px; */
}

.button, div[id^="mBox-button"] {
font-family: var(--buttonfont);
border: 1px solid #003c74;
background: linear-gradient(180deg,#fff,#ecebe6 86%,#d6d0c5);
box-shadow: none;
border-radius: 3px;
min-height: 21px;
line-height: 21px;
}

input::file-selector-button, input[type=color] {
font-family: var(--buttonfont);
border: 1px solid #003c74;
background: linear-gradient(180deg,#fff,#ecebe6 86%,#d6d0c5);
box-shadow: none;
border-radius: 3px;
min-height: 21px;
line-height: 21px;
}

#boxIMG1 {
    background-image: url('mbox-icons/win98/error.png');
}

#boxIMG2 {
    background-image: url('mbox-icons/win98/warning.png');
}

#boxIMG3 {
    background-image: url('mbox-icons/win98/info.png');
}

#boxIMG4 {
    background-image: url('mbox-icons/win98/confirm.png');
}

.button:hover:not(:disabled), div[id^="mBox-button"]:hover:not(:disabled) {
    box-shadow: inset 0px -1px #f9b949,inset 0px -2px #f8c752;
}

.button.active:not(:disabled), .button:active:not(:disabled), div[id^="mBox-button"]:active:not(:disabled) {
    box-shadow: none;
    background: linear-gradient(180deg,#cdcac3,#e3e3db 8%,#e5e5de 94%,#f2f2f1);
}

input::file-selector-button:hover, input[type=color]:hover {
    box-shadow: inset 0px -1px #f9b949,inset 0px -2px #f8c752;
}

input::file-selector-button:active, input[type=color]:active {
    box-shadow: none;
    background: linear-gradient(180deg,#cdcac3,#e3e3db 8%,#e5e5de 94%,#f2f2f1);
}

.button.disabled, div[id^="mBox-button"]:disabled {
 color: rgb(161,161,146);
 background: #f5f4ea;
 border: 1px solid #c9c7ba;
     box-shadow: none !important;
	 text-shadow: none;
}

#AboutClose:active {
box-shadow: none;
}

.button:focus, div[id^="mBox-button"]:focus {
    box-shadow: inset 0px -1px rgb(73, 144, 251),inset 0px -2px rgb(98, 161, 255);
    outline: 1px dotted #000;
    outline-offset: -4px;
}


.DropdownBox {
height: 21px;
border: 1px solid rgb(127, 157, 185);
box-shadow: none;
background: #FFF !important;
}

#themeDropdownBox, #themeDropdownContainer {
    width: 266px;
}

.DropdownText {
    display: inline-block;
    width: calc(100% - 12px);
    height: 14px;
    padding: 1px;
    text-indent: 3px;
    line-height: 13px;
    position: absolute;
    margin-left: -2px;
    color: #000;
}

#ControlPanelContent {
    font-family: var(--buttonfont);
}

.DDcontainer.selected .DropdownText {
    background: var(--selectedcolor);
    color: #FFF;
}

.DropdownBoxButton {
    background-image: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABIAAAATCAYAAACdkl3yAAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsMAAA7DAcdvqGQAAAFBSURBVDhPrVSxUsMwDBVck8JSBlYWBoYy8///wcAxsdJckxA7iQ16Upy4PZPm2r7eq50n35MsO7n5ZdAVcIu/xnbycAnEaF8bQmHn0JpmMuqdlwci7HI5W9uQ+Sl5PhhBTGWbo3OOXN9R37fiIEaphafpyXsmGx4YxVWtVtk4j5nW4RCMxMQLsyyXAMagzekgoD2KMlhuYECe34mGMQDxqRom/4Co2VMGY2qVGev1/TAj0eN1gYAYOT5+JZ/EwLrey4IAPMfxQD9cnbEiIrgfVlZVhUQxxvoxAW12vOcjluUuqQulJVGPUlmWEUYLK5ql5x7xOBrhhmrz+Mp3A+X6/0OOd20rdJ2+IvI9ev/4pA2fMt4dZDoJXuO5mtYamb+8vqnRd1FQtfuipq5Y1z3PQXNha56enre0eXhUI4leBKI/tcFk4ZbeDdMAAAAASUVORK5CYII=");
    background-size: 18px;
    width: 18px;
    height: 19px;
    right: -4px;
     top: -1px;
    background-position: 0 0;
    box-shadow: none;
}

.DDcontainer:hover .DropdownBoxButton {
    background-image: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABIAAAATCAYAAACdkl3yAAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsMAAA7DAcdvqGQAAAEjSURBVDhPrZQxTsQwEEWHxKFC21LQINFScgHuRMclVpyJO0CDkJCgoSObtRPHDp5vO2vvBgiEL/04M2O9sSdSjgYn+gcV/JCtRrBEANXbFsESAdQbi2CJAOIx/dWtkjvQTjz3+e5aSWpbu/cRlHcpijKLp/LGGDK9pr7vQDi4WlkKFHj9Pm/JWmcHZI2geCqtfQeWEBVyvEZx3YOifd6DALGju06hyKqq4/BGyKf7oll+Ri6w1mRWqkEpiuP9PfCQXS06PfJAUm6widf9WmoWQBjaF26aj8l89GATEE/J4UKH/P5zzApXOzzuLIcvnYCmO/1sBvkT4X/0cn9Dp+IZid9KizM6ubrzoPe3B1o9rqmon0J5vl4vbun88tqDQm6BiD4BU1vx1aTBMLMAAAAASUVORK5CYII=");
}

.DDcontainer:active .DropdownBoxButton {
        background-image: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABIAAAATCAYAAACdkl3yAAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsMAAA7DAcdvqGQAAAFnSURBVDhPrVQ9T8MwFDzbSeykERsTgnbgc+aPMyH+B6WwNC0DA10ZoEJqeR9OmkZtiQQXnZ/jez6/WHoxawL+AWI0njzi+2OB1WoFY0yUDsNYizTz8D7g4uZWje7uHzA6DiJYl/Qy45wkSRHyAien57C8+Llcwocc+aBEQazjPrLODMUANknEWIysc0jSjE7I4OgUR1VxZfvIuuY4ONsyUhjwrfPd96VsiGgZbXA2vIyzbexbZ4hR+5Q6mWOfdSajVZF8GF7nL/pKGI6uaFzHqFBdcxUto+4J89mziIzh6DrOIOtbufFhaEVtMXJWTUSqwe/dHBqawrQiZieJWU2fWJa4S6/JiHckVjtZTcc71xWb+eaO+Omc1JeNUd1b/dpVoVtMs1eNrIMlckf3oRVSe1CLcGyMjspSmtb7HMEXv9KHSMpPsyBG8ht5e18gwZc2Ilcm0gHQ5xhDVVHMixJp6tUoyn8A8AMf3CQ+lgnTsAAAAABJRU5ErkJggg==");
}





.TaskbandIcon {
    top: 22%;
}


.taskband {
    background: url('assets/taskbar/lunab2/taskbands/xptaskband.png');
        height: 30px;
        bottom: 2px;
    	line-height: 30px;
}

#taskbandContainer {
    bottom: 0px;
    height: 30px;
    overflow-y: hidden;
}

.taskband:hover {
	background: url('assets/taskbar/lunab2/taskbands/xptaskbandhover.png');
}

.taskband:active {
	background: url('assets/taskbar/lunab2/taskbands/xptaskbandactive.png');
}

.taskband.current {
	background: url('assets/taskbar/lunab2/taskbands/xptaskbandactive.png');
}

.taskband.current:hover {
	background: url('assets/taskbar/lunab2/taskbands/xptaskbandactivehover.png');
}

.taskband.current:active {
	background: url('assets/taskbar/lunab2/taskbands/xptaskbandactive.png');
}









#close {
background-image: url('assets/frames/lunab2/xpcaptionbuttons.png');
        background-position: -42px -84px;
}

.window.current > .window_bar > #close, .window.forceActive > .window_bar > #close {
    background-position: -42px 0px;
}

#close::after {
display: none;
}

#close:hover {
background-image: url('assets/frames/lunab2/xpcaptionbuttons.png');
        background-position: -42px -21px !important;
}

#close:active {
background-image: url('assets/frames/lunab2/xpcaptionbuttons.png');
        background-position-x: -42px !important;
        background-position-y: -42px;
}

/* css for max button */
#maximize {
background-image: url('assets/frames/lunab2/xpcaptionbuttons.png');
    background-position-x: -21px;
    background-position-y: -84px;
}

.window.current > .window_bar > #maximize, .window.forceActive > .window_bar > #maximize {
background-position-y: 0px;
}

#maximize::after {
display: none;
}

#maximize:hover {
background-image: url('assets/frames/lunab2/xpcaptionbuttons.png');
    background-position-y: -21px;
}

#maximize:active {
background-image: url('assets/frames/lunab2/xpcaptionbuttons.png');
    background-position-y: -42px;
}

/* css for restore button */
.window.maximized .window_bar #maximize {
        background-position-x: -63px !important;
}

/* css for min button */

#minimize {
background-image: url('assets/frames/lunab2/xpcaptionbuttons.png');
        background-position-x: 0px !important;
    background-position-y: -84px;
}

.window.current > .window_bar > #minimize, .window.forceActive > .window_bar > #minimize {
    background-position-y: 0px;
}

#minimize::after {
display: none;
}

#minimize:hover {
background-image: url('assets/frames/lunab2/xpcaptionbuttons.png');
            background-position-x: 0px !important;
        background-position-y: -21px;
}

#minimize:active {
background-image: url('assets/frames/lunab2/xpcaptionbuttons.png');
            background-position-x: 0px !important;
        background-position-y: -42px;
}

/* end of min */

#Menu, .submenu {
background: white !important;
border: 1px solid rgb(172, 168, 153);
}

/* Systray */
#SysTrayTime {
background: url(assets/taskbar/lunab2/taskbartray.png);
}

.ToolbarIcoImg {
top: 25%;
}

.QLToolbarBtns {
    width: 23px;
            height: 30px;
        bottom: 3px;
    	line-height: 30px;
    display: inline-flex;
    margin-left: -4px;
    position: relative;
	box-shadow: none;
background-image: url(assets/taskbar/lunab2/taskbartoolbarbtn.png);
background-position: 0 0;
}

.QLToolbarBtns:hover {
box-shadow: none;
background-image: url(assets/taskbar/lunab2/taskbartoolbarbtn.png);
background-position: 0 -30px;
}

.QLToolbarBtns:active {
box-shadow: none;
background-image: url(assets/taskbar/lunab2/taskbartoolbarbtn.png);
background-position: 0 -60px;
}

#RimetunesCategoryList {
	right: 4px !important;
}


input[type=checkbox]+label:before {
box-shadow: 1px 1px 2px #00000073 !important;
    border: 1px solid rgb(0 59 116);
    background: linear-gradient(180deg,rgb(219 219 213),rgb(255 255 255));
}

input[type=checkbox]+label:hover:before {
    box-shadow: 1px 1px 2px #00000073, inset 0 0 0 1px rgb(253 207 155) !important;
}

input[type=checkbox]+label:active:before {
    background: rgb(208 207 197);
}

input[type=checkbox][disabled]+label:before {
    background: rgb(245 244 234);
    border: 1px solid rgb(201 199 186);
}

/*Rimet XP theme*/